> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Box Hub Document resources

A set of endpoints used to retrieve Box Hub Document elements (pages and content blocks).

## Box Hub Callout Box Text Block

A callout box block in the Box Hub Document.

> [accordion] Attributes and example
>
> | Property | Type | Required | Description |
> | - | - | - | - |
> | `id` | `string` | Yes | The unique identifier for this block. |
> | `parent_id` | `string` | No | The unique identifier of the parent block. Null for direct children of the page. Can be `null`. |
> | `type` | `enum<string>` | Yes | The type of this block. The value is always `callout_box`. Available options: `callout_box`. |
> | `fragment` | `string` | Yes | Text content of the block. Includes rich text formatting. |
>
> ```json Example theme={null}
> {
>   "id": "c9588f08-22d7-4d17-8ca9-f1e61c98c0bd",
>   "parent_id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
>   "type": "callout_box",
>   "fragment": "This is the callout box"
> }
> ```

## Box Hub Divider Block

A divider block in the Box Hub Document.

> [accordion] Attributes and example
>
> | Property | Type | Required | Description |
> | - | - | - | - |
> | `id` | `string` | Yes | The unique identifier for this block. |
> | `parent_id` | `string` | No | The unique identifier of the parent block. Null for direct children of the page. Can be `null`. |
> | `type` | `enum<string>` | Yes | The type of this block. The value is always `divider`. Available options: `divider`. |
>
> ```json Example theme={null}
> {
>   "id": "c9588f08-22d7-4d17-8ca9-f1e61c98c0bd",
>   "parent_id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
>   "type": "divider"
> }
> ```

## Box Hub Document Blocks

A list of Hub Document blocks.

> [accordion] Attributes and example
>
> | Property | Type | Required | Description |
> | - | - | - | - |
> | `entries` | array of `Box Hub Document Block Entry` | Yes | Ordered list of blocks. |
> | `type` | `enum<string>` | Yes | The value will always be `document_blocks`. Available options: `document_blocks`. |
> | `limit` | `integer` | No | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
> | `next_marker` | `string` | No | The marker for the start of the next page of results. Can be `null`. |
>
> ```json Example theme={null}
> {
>   "entries": [
>     {
>       "id": "c9588f08-22d7-4d17-8ca9-f1e61c98c0bd",
>       "parent_id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
>       "type": "paragraph",
>       "fragment": "This is the paragraph"
>     }
>   ],
>   "type": "document_blocks",
>   "limit": 1000,
>   "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
> }
> ```

## Box Hub Document Page

A Page in the Box Hub Document.

> [accordion] Attributes and example
>
> | Property | Type | Required | Description |
> | - | - | - | - |
> | `id` | `string` | Yes | The unique identifier for this page. |
> | `type` | `string` | Yes | The type of this resource. The value is always `page`. |
> | `parent_id` | `string` | No | The unique identifier of the parent page. Null for root-level pages. Can be `null`. |
> | `title_fragment` | `string` | Yes | The title text of the page. Includes rich text formatting. |
>
> ```json Example theme={null}
> {
>   "id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
>   "type": "page",
>   "parent_id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
>   "title_fragment": "This is the home page title"
> }
> ```

## Box Hub Document Pages

A list of Hub Document Pages.

> [accordion] Attributes and example
>
> | Property | Type | Required | Description |
> | - | - | - | - |
> | `entries` | array of [Box Hub Document Page](#box-hub-document-page) | Yes | Ordered list of pages. |
> | `type` | `enum<string>` | Yes | The value will always be `document_pages`. Available options: `document_pages`. |
> | `limit` | `integer` | No | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
> | `next_marker` | `string` | No | The marker for the start of the next page of results. Can be `null`. |
>
> ```json Example theme={null}
> {
>   "entries": [
>     {
>       "id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
>       "type": "page",
>       "parent_id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
>       "title_fragment": "This is the home page title"
>     }
>   ],
>   "type": "document_pages",
>   "limit": 1000,
>   "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
> }
> ```

## Box Hub Item List Block

An item list block in the Box Hub Document.

> [accordion] Attributes and example
>
> | Property | Type | Required | Description |
> | - | - | - | - |
> | `id` | `string` | Yes | The unique identifier for this block. |
> | `parent_id` | `string` | No | The unique identifier of the parent block. Null for direct children of the page. Can be `null`. |
> | `type` | `enum<string>` | Yes | The type of this block. The value is always `item_list`. Available options: `item_list`. |
>
> ```json Example theme={null}
> {
>   "id": "c9588f08-22d7-4d17-8ca9-f1e61c98c0bd",
>   "parent_id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
>   "type": "item_list"
> }
> ```

## Box Hub Paragraph Text Block

A paragraph block in the Box Hub Document.

> [accordion] Attributes and example
>
> | Property | Type | Required | Description |
> | - | - | - | - |
> | `id` | `string` | Yes | The unique identifier for this block. |
> | `parent_id` | `string` | No | The unique identifier of the parent block. Null for direct children of the page. Can be `null`. |
> | `type` | `enum<string>` | Yes | The type of this block. The value is always `paragraph`. Available options: `paragraph`. |
> | `fragment` | `string` | Yes | Text content of the block. Includes rich text formatting. |
>
> ```json Example theme={null}
> {
>   "id": "c9588f08-22d7-4d17-8ca9-f1e61c98c0bd",
>   "parent_id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
>   "type": "paragraph",
>   "fragment": "This is the paragraph"
> }
> ```

## Box Hub Section Title Text Block

A section title block in the Box Hub Document.

> [accordion] Attributes and example
>
> | Property | Type | Required | Description |
> | - | - | - | - |
> | `id` | `string` | Yes | The unique identifier for this block. |
> | `parent_id` | `string` | No | The unique identifier of the parent block. Null for direct children of the page. Can be `null`. |
> | `type` | `enum<string>` | Yes | The type of this block. The value is always `section_title`. Available options: `section_title`. |
> | `fragment` | `string` | Yes | Text content of the block. Includes rich text formatting. |
>
> ```json Example theme={null}
> {
>   "id": "c9588f08-22d7-4d17-8ca9-f1e61c98c0bd",
>   "parent_id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
>   "type": "section_title",
>   "fragment": "This is the section title"
> }
> ```
